Subject: bug#61142: 回复: bug#61142: 回复: bug#61142: 29.0.60; java-ts-mode - Wrong indentation for the body of multiple lines conditions

From: 赵 纪阳 <[email-masked]>
Date: Mon, 6 Feb 2023 02:34:12 +0000

Hi Theo

This patch works well for me. Great! Thanks!

________________________________
发件人: Theodor Thornhill <[email-masked]>
发送时间: 2023年2月6日 5:20
收件人: Eli Zaretskii <[email-masked]>
抄送: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
主题: Re: bug#61142: 回复: bug#61142: 29.0.60; java-ts-mode - Wrong indentation for the body of multiple lines conditions

Theodor Thornhill <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> Cc: "[email-masked]" <[email-masked]>
>>>> Date: Sun, 05 Feb 2023 20:19:19 +0100
>>>> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>>>>  the Swiss army knife of text editors" <[email-masked]>
>>>>
>>>> +(defvar c-ts-common-nestable-if-statement-p t
>>>> +  "Does the current parser nest if-else statements?
>>>> +
>>>> +T if the current tree-sitter grammar nests the else if
>>>> +statements, NIL otherwise.")
>>>
>>> A nit: we use t and nil, lowercase, to refer to these two symbols.
>>>
>>> Thanks.
>>
>> Thanks!
>>
>> Theo
>
> I added some small tweaks, and will add the following as a test later:
>

I made even further tweaks, and while testing the c variant I noticed
that the C tests weren't actually working. There were missing rules for
many of the cases in the tests, so I added some more rules to the
c-ts-mode indentation and added a big-ish test with some wonky but
seemingly working indentation.

Because the tests are now working I think this is good to go, so unless
somebody objects I'll install this sometime tomorrow :-)

Theo